<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Ajax Forum Post Ratings
| Filename: ajax_forum_post_ratings_panel_admin.php
| Author: Fangree Productions
| Version: 2.00
| Developers: Ankur Thakur
|             http://php-fusion.in/
| Developers: Fangree_Craig
|             http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";

if (!checkrights("AFPR")||!defined("iAUTH")||$_GET['aid']!=iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."ajax_forum_post_ratings_panel/locale/".$settings['locale'].".php")) {
   include INFUSIONS."ajax_forum_post_ratings_panel/locale/".$settings['locale'].".php";
     } else {
   include INFUSIONS."ajax_forum_post_ratings_panel/locale/English.php"; 
}
include INFUSIONS."ajax_forum_post_ratings_panel/infusion_db.php";

// Custom Javascript
add_to_head("<script type='text/javascript'>
function set_preview(filename)
{
	//document.getElementById('rating_preview').src = '".INFUSIONS."ajax_forum_post_ratings_panel/images/ratings/'+filename;
	$('#rating_preview').attr('src', '".INFUSIONS."ajax_forum_post_ratings_panel/images/ratings/'+filename);
}
</script>");

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

// Creating Info for Errors
if (isset($_GET['error']) && isnum($_GET['error'])) {
	if ($_GET['error'] == 0) {
		$message = $locale['901'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

// Creating Info for Actions
if (isset($_GET['action'])) {
	if ($_GET['action'] == 'add') {
		$message = $locale['action_add'];
	}
	else if ($_GET['action'] == 'delete') {
		$message = $locale['action_delete'];
	}
	else if ($_GET['action'] == 'edit') {
		$message = $locale['action_edit'];
	}
	else if ($_GET['action'] == 'saved') {
		$message = $locale['action_saved'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

// Infusion Settings Query
if (isset($_POST['saveinfusionsettings']))
{
	$result1 = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='".stripinput($_POST['icon_opacity'])."' WHERE settings_name='afpr_opacity'");
	$result2 = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='".stripinput($_POST['icon_opacity_hover'])."' WHERE settings_name='afpr_opacity_hover'");
	$result3 = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='".stripinput($_POST['tooltip_style'])."' WHERE settings_name='afpr_tooltip_style'");
	$result4 = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='".stripinput($_POST['ratings_visibility'])."' WHERE settings_name='afpr_ratings_visibility'");
	$result5 = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='".stripinput($_POST['ratings_showstyle'])."' WHERE settings_name='afpr_showstyle'");
	$result6 = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='".stripinput($_POST['showuserlinks'])."' WHERE settings_name='afpr_showuserlinks'");

	if (!$result1 || !$result2 || !$result3 || !$result4)
	{
		redirect(FUSION_SELF.$aidlink."&error=0");
	}
	else {	redirect(FUSION_SELF.$aidlink."&action=saved");	}
}

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

// Add Rating Query
if (isset($_POST['rating_name']) && isset($_POST['rating_icon']))
{
	// Incrementing rows by 1
	if (isset($_POST['rating_order']) && stripinput($_POST['rating_order'] != 0))
	{
		$result = dbquery("UPDATE ".DB_AFPR_CATS." SET cat_order=cat_order+1 WHERE cat_order>".$_POST['rating_order']);
	}
	// If we are Editing
	if (isset($_POST['rating_id']) && isNum($_POST['rating_id']))
	{
		$result = dbquery("UPDATE ".DB_AFPR_CATS." SET cat_image='".$_POST['rating_icon']."', cat_name='".$_POST['rating_name']."', cat_order='".stripinput($_POST['rating_order']+1)."' WHERE cat_id=".$_POST['rating_id']);
		if (!$result) { redirect(FUSION_SELF.$aidlink."&error=0"); }	else {	redirect(FUSION_SELF.$aidlink."&action=edit");	}
	}
	else {	// If we are Addin a New Rating
		$result = dbquery("INSERT INTO ".DB_AFPR_CATS." (cat_id, cat_image, cat_name, cat_order) VALUES('', '".$_POST['rating_icon']."', '".stripinput($_POST['rating_name'])."', '".stripinput($_POST['rating_order']+1)."')");
		if (!$result) { redirect(FUSION_SELF.$aidlink."&error=0"); }	else {	redirect(FUSION_SELF.$aidlink."&action=add");	}
	}
}

// Delete Rating Query
if (isset($_GET['delete']) && isNum($_GET['delete']))
{
	$result = dbquery("DELETE FROM ".DB_AFPR_CATS." WHERE cat_id=".$_GET['delete']);
	$result = dbquery("DELETE FROM ".DB_AFPR_RATINGS." WHERE rating_type=".$_GET['delete']);
	if (!$result) { redirect(FUSION_SELF.$aidlink."&error=0"); }	else {	redirect(FUSION_SELF.$aidlink."&action=delete");	}
}

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

opentable($locale['admin_title']);

// Currently Enabled Ratings
opentable($locale['admin_title_001']);
echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border center'>\n<tr>\n";
echo "<td class='tbl2' style='text-align: center;'><b>".$locale['afpr_admin_001']."</b></td>";
echo "<td class='tbl2' style='text-align: center;'><b>".$locale['afpr_admin_002']."</b></td>";
echo "<td class='tbl2' style='text-align: center;'><b>".$locale['afpr_admin_003']."</b></td>\n</tr>\n";

$types = dbquery("SELECT * FROM ".DB_AFPR_CATS." ORDER BY cat_order ASC");

while ($data = dbarray($types))
{
	echo "<tr>\n<td class='tbl1' style='text-align: center;'><img src='".INFUSIONS."ajax_forum_post_ratings_panel/images/ratings/".$data['cat_image']."' alt='".$data['cat_name']."' title='".$data['cat_name']."' /></td>\n";
	echo "<td class='tbl1' style='text-align: center;'>".$data['cat_name']."</td>\n";
	echo "<td class='tbl1' style='text-align: center;'><a href='".FUSION_SELF.$aidlink."&amp;edit=".$data['cat_id']."'>".$locale['afpr_admin_edit']."</a> | <a href='".FUSION_SELF.$aidlink."&amp;delete=".$data['cat_id']."' onclick=\"return confirm('".$locale['afpr_admin_delete_confirm']."');\">".$locale['afpr_admin_delete']."</a></td>\n</tr>\n";
}

echo "</table>\n";
closetable();

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

// Add Ratings
opentable($locale['admin_title_002']);

// If We are editing a Rating
$rating_name = "";
$rating_image = "";
$rating_id = 0;
$rating_order = 0;
if (isset($_GET['edit']) && isNum($_GET['edit']))
{
	$rating_edit = dbarray(dbquery("SELECT * FROM ".DB_AFPR_CATS." where cat_id='".$_GET['edit']."'"));
	$rating_name = $rating_edit['cat_name'];
	$rating_image = $rating_edit['cat_image'];
	$rating_id = $rating_edit['cat_id'];
	$rating_order = $rating_edit['cat_order'];
	// Javascript Code to set Preview Image to what to Edit
	add_to_footer("<script type='text/javascript'>
	window.onload = document.getElementById('rating_preview').src = '".INFUSIONS."ajax_forum_post_ratings_panel/images/ratings/".$rating_edit['cat_image']."';
	</script>");
}

echo "<form name='add_rating' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' align='center'>\n";

echo "<tr>\n";
echo "<td class='tbl2'><b>".$locale['afpr_admin_004']." :</b></td>\n";
echo "<td class='tbl2'><input type='text' name='rating_name' value='".($rating_name != "" ? $rating_name : "")."' class='textbox' size='40' /></td>\n";
echo "</tr>\n";

$iconlist = makefilelist(INFUSIONS."ajax_forum_post_ratings_panel/images/ratings/", ".|..|index.php|Thumbs.db");

echo "<tr>\n";
echo "<td class='tbl2'><b>".$locale['afpr_admin_005']." :</b></td>\n";
echo "<td class='tbl2'><select name='rating_icon' class='textbox' onchange='set_preview(this.options[selectedIndex].value)'>\n";

for ($i = 0; $i < count($iconlist); $i++) {
	echo "<option value='".$iconlist[$i]."'".(isset($_GET['edit']) ? ($iconlist[$i] == $rating_image ? " selected='selected'" : "") : "").">".$iconlist[$i]."</option>\n";
}

echo "</select>&nbsp;<img src='".INFUSIONS."ajax_forum_post_ratings_panel/images/ratings/cross.png' alt='Preview' id='rating_preview' /></td>\n";
echo "</tr>\n";

echo "<tr>\n";
echo "<td class='tbl2'><b>".$locale['afpr_admin_005a']." :</b></td>\n";
echo "<td class='tbl2'><input type='text' name='rating_order' value='".($rating_order ? $rating_order : "")."' class='textbox' size='5' /></td>\n";
echo "</tr>\n";

echo "<tr>\n";
echo "<td class='tbl2'></td>\n";
echo "<td class='tbl2'>".((isset($_GET['edit']) && isNum($_GET['edit'])) ? "<input type='hidden' name='rating_id' value='".$rating_id."' /> " : "")."<input type='submit' name='savesettings' value='".$locale['afpr_admin_save']."' class='button' /></td>\n";
echo "</tr>\n";

echo "</table>\n</form>\n";
closetable();

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

// Infusion Settings
opentable($locale['admin_title_003']);

// Database Settings
// Fetching Database Settings
$afprsettings = array();
$result = dbquery("SELECT * FROM ".DB_SETTINGS_INF." WHERE settings_inf='ajax_forum_post_ratings_panel'");
if (dbrows($result)) {
	while ($data = dbarray($result)) {
		$afprsettings[$data['settings_name']] = $data['settings_value'];
	}
}

echo "<form name='infusion_settings' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' align='center'>\n";

echo "<tr>\n";
echo "<td class='tbl2'><b>".$locale['afpr_admin_009']." :</b></td>\n";
echo "<td class='tbl2'>";
echo "<select name='ratings_visibility' class='textbox'>";
echo "<option value='0'".($afprsettings['afpr_ratings_visibility'] == 0 ? "selected='selected'" : "").">".$locale['afpr_admin_009a']."</option>\n";
echo "<option value='1'".($afprsettings['afpr_ratings_visibility'] == 1 ? "selected='selected'" : "").">".$locale['afpr_admin_009b']."</option>\n";
echo "</select>";
echo "</td>\n";
echo "</tr>\n";

echo "<tr>\n";
echo "<td class='tbl2'><b>".$locale['afpr_admin_010']." :</b></td>\n";
echo "<td class='tbl2'>";
echo "<select name='ratings_showstyle' class='textbox'>";
echo "<option value='0'".($afprsettings['afpr_showstyle'] == 0 ? "selected='selected'" : "").">".$locale['afpr_admin_010a']."</option>\n";
echo "<option value='1'".($afprsettings['afpr_showstyle'] == 1 ? "selected='selected'" : "").">".$locale['afpr_admin_010b']."</option>\n";
echo "</select>";
echo "</td>\n";
echo "</tr>\n";

echo "<tr>\n";
echo "<td class='tbl2'><b>".$locale['afpr_admin_011']." :</b></td>\n";
echo "<td class='tbl2'>";
echo "<select name='showuserlinks' class='textbox'>";
echo "<option value='1'".($afprsettings['afpr_showuserlinks'] == 1 ? "selected='selected'" : "").">".$locale['afpr_admin_011a']."</option>\n";
echo "<option value='0'".($afprsettings['afpr_showuserlinks'] == 0 ? "selected='selected'" : "").">".$locale['afpr_admin_011b']."</option>\n";
echo "</select>";
echo "</td>\n";
echo "</tr>\n";

echo "<tr>\n";
echo "<td class='tbl2'><b>".$locale['afpr_admin_006']." :</b></td>\n";
echo "<td class='tbl2'><input type='text' name='icon_opacity' value='".($afprsettings['afpr_opacity'] ? $afprsettings['afpr_opacity'] : "0.6")."' class='textbox' maxlength='3' size='10' /></td>\n";
echo "</tr>\n";

echo "<tr>\n";
echo "<td class='tbl2'><b>".$locale['afpr_admin_007']." :</b></td>\n";
echo "<td class='tbl2'><input type='text' name='icon_opacity_hover' value='".($afprsettings['afpr_opacity_hover'] ? $afprsettings['afpr_opacity_hover'] : "1.0")."' class='textbox' maxlength='3' size='10' /></td>\n";
echo "</tr>\n";

echo "<tr>\n";
echo "<td class='tbl2'><b>".$locale['afpr_admin_008']." :</b></td>\n";
echo "<td class='tbl2'>";
echo "<select name='tooltip_style' class='textbox'>";
echo "<option value='cream'".($afprsettings['afpr_tooltip_style'] == 'cream' ? "selected='selected'" : "").">".$locale['afpr_admin_008a']."</option>\n";
echo "<option value='dark'".($afprsettings['afpr_tooltip_style'] == 'dark' ? "selected='selected'" : "").">".$locale['afpr_admin_008b']."</option>\n";
echo "<option value='green'".($afprsettings['afpr_tooltip_style'] == 'green' ? "selected='selected'" : "").">".$locale['afpr_admin_008c']."</option>\n";
echo "<option value='light'".($afprsettings['afpr_tooltip_style'] == 'light' ? "selected='selected'" : "").">".$locale['afpr_admin_008d']."</option>\n";
echo "<option value='red'".($afprsettings['afpr_tooltip_style'] == 'red' ? "selected='selected'" : "").">".$locale['afpr_admin_008e']."</option>\n";
echo "<option value='blue'".($afprsettings['afpr_tooltip_style'] == 'blue' ? "selected='selected'" : "").">".$locale['afpr_admin_008f']."</option>\n";
echo "</select>";
echo "</td>\n";
echo "</tr>\n";

echo "<tr>\n";
echo "<td class='tbl2'></td>\n";
echo "<td class='tbl2'><input type='submit' name='saveinfusionsettings' value='".$locale['afpr_admin_save']."' class='button' /></td>\n";
echo "</tr>\n";

echo "</table>\n</form>\n";
closetable();

 // Please do not remove copyright info
  include INFUSIONS."ajax_forum_post_ratings_panel/includes/copyright_func.php";
echo showAFPRcopyright();

closetable();

require_once THEMES."templates/footer.php";
?>